var Dfe51000_ImportacaoConsultaNotaFiscal_Service = function(Dfe51000_ImportacaoConsultaNotaFiscal_Repositories, Dfe36000_EntradasTransferenciaDoOperadorLogistico_Repository, General, ZHPromise){
    
   this.buildFilter = function(fieldsName, currentRow, insstr = false) {
        var deferred = ZHPromise.defer();
        let filter = [];
        fieldsName.forEach((fieldName) => {
            if(fieldName != "NRNOTA") {
                filter.push({
                    "name": "P_".concat(fieldName),
                    "operator": "=",
                    "value": (currentRow[fieldName]) ? (Array.isArray(currentRow[fieldName]) ? montaInStr(currentRow[fieldName]) : currentRow[fieldName]) : 'T'
                }); 
            }
            else {
                filter.push({
                    "name": "P_".concat(fieldName),
                    "operator": "=",
                    "value": (currentRow.NRNOTAFISCINI || currentRow.NRNOTAFISCFIN) ? '' : 'T'
                }); 
            }
        });
        deferred.resolve(filter);
        return deferred.promise;
    };
    
    var montaInStr = function(row) {
        var strReturn = '_';
        row.forEach((value) => {
            strReturn += value + '_';
        });
        return strReturn;
    };
    
    this.gerarDanfe = function(row){
        return Dfe51000_ImportacaoConsultaNotaFiscal_Repositories.gerarDanfe(row);
    };
};

Configuration(function (ContextRegister){
    ContextRegister.register('Dfe51000_ImportacaoConsultaNotaFiscal_Service', Dfe51000_ImportacaoConsultaNotaFiscal_Service);
});
